/* 
   orxonox - the future of 3D-vertical-scrollers

   Copyright (C) 2004 orx

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   ### File Specific:
   main-programmer: Simon Hofmann
   co-programmer:
*/

#include "sound_test.h"

using namespace std;

SoundControl* sound = NULL;
int counter = 0;
int through = 0;

SoundTest::SoundTest() {
  sound = SoundControl::getInstance();
}


SoundTest::~SoundTest() {
  sound->deleteInstance();
}


int main(void) {
  SoundTest();
  SDL_Surface *screen;
  SDL_Init(SDL_INIT_VIDEO|SDL_INIT_AUDIO); 
  screen = SDL_SetVideoMode(320, 240, 0, 0);
  sound->playOgg("music.ogg");
  while(!through) {
    SDL_Delay(100);
    if(counter >= 1000) {
    	through = 1;
    }
    counter++;
  }
  SDL_Quit();
}
